// 类型校验
export function typeJudgment(object) {
  try {
    let res = {}.__proto__.toString.call(object);
    let type = res.replace(/[\[\]]/g, "").split(" ");
    return type.length ? type[1] : "";
  } catch (error) {
    return "";
  }
}
// 时间处理
function padZero(value, length = 2) {
  return value.toString().padStart(length, "0");
}
export function dateTimeHandle(date) {
  let dateTime;

  if (typeof date === "string") {
    try {
      dateTime = new Date(date);
    } catch (e) {
      throw new Error(
        "Invalid date string format. Please use ISO 8601 standard."
      );
    }
  } else if (typeof date === "number") {
    if (isNaN(date)) {
      throw new Error("Invalid timestamp.");
    }
    dateTime = new Date(date);
  } else if (date instanceof Date) {
    dateTime = date;
  } else {
    throw new Error(
      "Invalid input type. Expected string, number, or Date object."
    );
  }

  const year = dateTime.getFullYear();
  const month = padZero(dateTime.getMonth() + 1);
  const day = padZero(dateTime.getDate());
  const hours = padZero(dateTime.getHours());
  const minutes = padZero(dateTime.getMinutes());
  const seconds = padZero(dateTime.getSeconds());
  const weekDay = dateTime.getDay(); // 0-6, with 0 being Sunday

  return {
    year,
    month,
    day,
    hours,
    minutes,
    seconds,
    weekDay, // 0-6, with 0 being Sunday
  };
}

// uni.getLocation
export function obtainLocationHandle(
  appInstance = { globalData: { location: {} } }
) {
  return new Promise((resolve, reject) => {
    uni.getLocation({
      type: "wgs84",
      success: (res) => {
        if (res.errMsg === "getLocation:ok") {
          appInstance.globalData.hasLocationAuth = true;
          let { latitude, longitude } = res;
          appInstance.globalData.location.latitude = latitude;
          appInstance.globalData.location.longitude = longitude;
          resolve(res);
        }
      },
      fail: (err) => {
        appInstance.globalData.hasLocationAuth = false;

        if (err.errMsg === "getLocation:fail auth deny") {
          uni.showModal({
            title: "提示",
            content: "您已拒绝获取位置信息，请重新授权",
            confirmText: "开启定位",
            success: (res) => {
              if (res.confirm) {
                uni.openSetting({
                  success: (res) => {
                    if (res.authSetting["scope.userLocation"])
                      obtainLocationHandle(appInstance).then((_res) =>
                        resolve(_res)
                      );
                  },
                });
              } else {
                uni.showToast({
                  title: "因您拒绝获取位置信息，默认为您查询北京天安门附近油站",
                  icon: "none",
                  duration: 2000,
                });
                let i = setTimeout(() => {
                  clearTimeout(i);
                  reject();
                }, 2000);
                // ();
              }
            },
          });
        }
      },
    });
  });
}
